
# react-native-hyper-pay

## Getting started

`$ npm install react-native-hyper-pay --save`

### Mostly automatic installation

`$ react-native link react-native-hyper-pay`

### Manual installation


#### iOS

1. In XCode, in the project navigator, right click `Libraries` ➜ `Add Files to [your project's name]`
2. Go to `node_modules` ➜ `react-native-hyper-pay` and add `RNHyperPay.xcodeproj`
3. In XCode, in the project navigator, select your project. Add `libRNHyperPay.a` to your project's `Build Phases` ➜ `Link Binary With Libraries`
4. Run your project (`Cmd+R`)<

#### Android

1. Open up `android/app/src/main/java/[...]/MainActivity.java`
  - Add `import com.ideamath.hyperpay.RNHyperPayPackage;` to the imports at the top of the file
  - Add `new RNHyperPayPackage()` to the list returned by the `getPackages()` method
2. Append the following lines to `android/settings.gradle`:
  	```
  	include ':react-native-hyper-pay'
  	project(':react-native-hyper-pay').projectDir = new File(rootProject.projectDir, 	'../node_modules/react-native-hyper-pay/android')
  	```
3. Insert the following lines inside the dependencies block in `android/app/build.gradle`:
  	```
      compile project(':react-native-hyper-pay')
  	```


## Usage
```javascript
import RNHyperPay from 'react-native-hyper-pay';

// TODO: What to do with the module?
RNHyperPay;
```
  